package edu.bu.signstream.common.files;

import java.io.File;

public class FilesLocation {
	private String dv = System.getProperty("file.separator", "/");

	public static final String defaultDatabaseLocation = SS3Resources.collectionPath;

    private String lastOpenedDatabaseLocation = defaultDatabaseLocation;

    public String getFileSeparator() {
		return dv;
	}
	
	public String getLastOpenedDatabaseLocation() {
		return lastOpenedDatabaseLocation;
	}
	public void setLastOpenedDatabaseLocation(String lastOpenedDatabaseLocation) {
        var file = new File(lastOpenedDatabaseLocation);
        this.lastOpenedDatabaseLocation = file.exists() ? lastOpenedDatabaseLocation : defaultDatabaseLocation;
	}
}
