package edu.bu.signstream.common.util;

import edu.bu.signstream.grepresentation.fields.graphField.GraphField;

import java.awt.Font;

public class SegmentGraphReprUtil {

	public static int axesTopHeight = 12;

	public static int axesBottomHeight = 13; //10; //15;
	public static int valueHeight = 5; //6;
	public static int cellHeight = 20; //28; //33; //30;
	public static int graphFieldCellHeight = 40;
	public static int maximizedGraphFieldCellHeight = 100;
	public static int linenHeight = 0;
	public static int treeTableCellHeight = 17;

	public static int maxUnitIncrement = 1;
	
	public static int utteranceMovieTimeOnset = 0; 
	public static int utteranceMovieTimeOffset = 0; 
	
	public static int utteranceViewVisibleMovieOnset = 0;
	public static int utteranceViewVisibleMovieOffset = 0;
	
	public static int UTTERANCE_VIEW_LEFT_PANEL_WIDTH = 200;				// 200
	public static int UTTERANCE_VIEW_LABEL_PANEL_WIDTH = 165;			// 125
	public static int UTTERANCE_VIEW_GRAPH_PANEL_WIDTH = 1000;		// 1000
	
	public static int UTTERANCE_VIEW_HEADER_FOOTER_HEIGHT = 30;		// 30
	public static int UTTERANCE_VIEW_SEGMENT_HEIGHT = -1;					// -1

	public static Font getGraphReprFont() {
		int fontSize = 14, fontStyle = Font.PLAIN;
		String fontFamily = "Times-Roman";
		return new Font(fontFamily, fontStyle, fontSize);
	}

	public static int getCorrectCellHeight(GraphField f) {
		if (f.isMaximized()) {
			return maximizedGraphFieldCellHeight;
		}
		return graphFieldCellHeight;
	}
}
