package edu.bu.signstream.common.util.vo;

public class Profile {

	private String signStreamVersion = "0", databaseVersion = "0.0";
	private String sourcePath = "",
		distributor = "",
		author = "",
		citation,
		notes;
		
	public Profile() {}
	
	public Profile(String signStreamVersion, String databaseVersion, String sourcePath, 
	String distributor, String author, String citation, String notes) {
		this.signStreamVersion = signStreamVersion;
		this.databaseVersion = databaseVersion;
		this.sourcePath = sourcePath; 
		this.distributor = distributor;
		this.author = author;
		this.citation = citation; 
		this.notes = notes;
	}

	public void setCitation(String citation) {
		this.citation = citation;
	}

	public String getCitation() {
		return citation;
	}

	public void setNotes(String notes) {
		this.notes = notes;
	}

	public String getNotes() {
		return notes;
	}

	public String getDatabaseVersion() {
		return databaseVersion;
	}

	public String getSignStreamVersion() {
		return signStreamVersion;
	}

	public String getSourcePath() {
		return sourcePath;
	}

	public void setDatabaseVersion(String i) {
		databaseVersion = i;
	}

	public void setSignStreamVersion(String i) {
		signStreamVersion = i;
	}

	public void setSourcePath(String string) {
		sourcePath = string;
	}

	public String getAuthor() {
		return author;
	}

	public String getDistributor() {
		return distributor;
	}

	public void setAuthor(String string) {
		author = string;
	}

	public void setDistributor(String string) {
		distributor = string;
	}

	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("Header:");
		sb.append("\n signStreamVersion = ");
		sb.append(signStreamVersion);
		sb.append("\n databaseVersion = ");
		sb.append(databaseVersion);
		sb.append("\n sourcePath = ");
		sb.append(sourcePath);
		sb.append("\n distributor = ");
		sb.append(distributor);
		sb.append("\n author = ");
		sb.append(author);
		return sb.toString();
	}
}
