package edu.bu.signstream.grepresentation.fields;

public abstract class CollectionManager {

	public void selectChainedEvent(Event event) {
		event.select();
	}

	public void unselectChainedEvent(Event event) {
		 event.unselect();
	}

	public abstract void unselectEntity();

	public abstract Event getSelectedEvent();
	public abstract Event getEventAt(int x);
	public abstract Event getFirstEvent();
	public abstract Event getLastEvent();

	public abstract void resetAll();

	public abstract boolean adjustEntity(int startTime, int endTime);
	
}
