package edu.bu.signstream.grepresentation.fields;

import java.awt.Color;

import edu.bu.signstream.common.util.vo.TimeInfo;

public interface Event {

	public TimeInfo getStartTimeInfo();

	public TimeInfo getEndTimeInfo();

	public void setStartTimeInfo(TimeInfo startTimeInfo);

	public void setEndTimeInfo(TimeInfo endTimeInfo);

	public int getStartTimeCoordinate();

	public int getEndTimeCoordinate();

	public void setStartTimeCoordinate(int coord);

	public void setEndTimeCoordinate(int coord);

	public String getToolTipText();

	public boolean select();

	public boolean unselect();

	public void highlight();

	public void unhighlight();

	public boolean isSelected();

	public boolean isHighlighted();

	public void setColor(Color color);

	public Color getColor();
	
	public String getID();
	
	public void setID(String id);
}
