package edu.bu.signstream.grepresentation.fields.glossField.dialog.associatedFields.locations;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class LocationImage {

    private String id;
    private String path;
    private BufferedImage image;
    private String dominance;

    public LocationImage(String id, String imagePath, String dominance) {
        this.id = id;
        this.path = imagePath;
        this.dominance = dominance;

        loadImage();
    }

    public String getId() {
        return id;
    }

    public BufferedImage getBufferedImage() {
        return image;
    }

    public String getDominance() {
        return dominance;
    }

    private void loadImage() {
        try {
            image = ImageIO.read(new File(LocationConfig.IMAGE_BASE_PATH + File.separator + path));
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
