package edu.bu.signstream.grepresentation.fields.glossField.dialog.handShapes;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import edu.bu.signstream.common.util.vo.ss3.codingScheme.SS3CodingScheme;
import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;
import edu
	.bu
	.signstream
	.grepresentation
	.fields
	.glossField
	.dialog
	.associatedFields
	.
	* ;

public class DblHandshapeDialog extends JDialog implements ActionListener {

   private HandShapePanel panel = null;

	public DblHandshapeDialog(
		HandShapesPaletteFormBean rhFormBean,
		HandShapesPaletteFormBean lhFormBean,
		HandShapeBean bean, HandShapePanel panel, SS3CodingScheme scheme) {

		super(SS3Singleton.getSignStreamApplication(), "Palette");
		super.setLocationRelativeTo(SS3Singleton.getSignStreamApplication());

      this.panel = panel;

		addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				dispose();
			}
		});

		DblHandshapePalette pal =
			new DblHandshapePalette(rhFormBean, lhFormBean, bean, scheme, this, panel);

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout(50, 50));
		contentPane.add(pal, BorderLayout.CENTER);

		this.pack();
	}
   
   @Override
public void dispose() {
      super.dispose();
      panel.updateSelectedIconsPanel();
   }

	@Override
	public void actionPerformed(ActionEvent ae) {
		String str = ae.getActionCommand();
	}
}
