package edu.bu.signstream.grepresentation.fields.graphField;

import java.util.List;

import edu.bu.signstream.grepresentation.fields.GraphFileRow;
import edu.bu.signstream.grepresentation.fields.nonManualField.NonManualFieldWrapper;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class GraphFieldWrapper extends NonManualFieldWrapper {

	protected GraphField graphField;

	private String graphFileID; // the id of the file from which the graph field was loaded

	public GraphFieldWrapper(GraphField graphField, SignStreamSegmentPanel segmentPanel) {
		super(graphField, segmentPanel);
		this.graphField = graphField;
	}

	public String getGraphFileID() {
		return graphFileID;
	}

	public void setGraphFileID(String graphFileID) {
		this.graphFileID = graphFileID;
	}

	public GraphField getGraphField() {
		return graphField;
	}

	public void setRawGraphList(List<GraphFileRow> rowList) {
		getGraphField().setRawGraphList(rowList);
	}

}
