package edu.bu.signstream.grepresentation.fields.handShapeField.dialogs;

import java.awt.BorderLayout;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.util.ArrayList;

import javax.swing.JTextField;

import edu.bu.signstream.common.util.vo.ss3.codingScheme.SS3CodingScheme;
import edu.bu.signstream.grepresentation.listener.WeakKeyListener;

public class FingerspellingPalette
	extends GeneralHandShapePallet
	implements KeyListener {

	public FingerspellingPalette(ArrayList handShapes, String fieldID, SS3CodingScheme codingScheme) {
		super(handShapes, fieldID, codingScheme);
		text = new JTextField(20);
		text.setText("");
		text.addKeyListener(new WeakKeyListener(this, this));
		client.add(text, BorderLayout.NORTH);		
		revalidate();
	}

	@Override
	public void keyTyped(KeyEvent e) {
		String key = "" + e.getKeyChar();
		Object obj = hm.get(key.toUpperCase());
		if (obj != null)
			panel.setItem(obj);

		revalidate();
	}

	@Override
	public void keyPressed(KeyEvent e) {
	}

	@Override
	public void keyReleased(KeyEvent e) {
	}
}
