package edu.bu.signstream.grepresentation.fields.lTranslationField;

import javax.swing.*;
import java.awt.Point;
import edu.bu.signstream.grepresentation.fields.nonManualField.*;
import edu.bu.signstream.grepresentation.fields.glossField.*;
import edu.bu.signstream.grepresentation.fields.*;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class LiteralTranslationWrapper extends GlossFieldWrapper {
	private LiteraltranslationField ltField = null;

	public LiteralTranslationWrapper(LiteraltranslationField ltField, SignStreamSegmentPanel segmentPanel) {
		super(ltField, segmentPanel);
		this.ltField = ltField;
	}


	public void adjustEntity(int entityAt, Event event) {
		EventsEntity entity = getEntityAt(entityAt);
		if (entity != null) {
			entity.setStartTimeCoordinate(event.getStartTimeCoordinate());
			entity.setEndTimeCoordinate(event.getEndTimeCoordinate());
		}	
	}

	public void highlight(boolean highlight, int eventAt) {
		//ltField.highlight(highlight, eventAt);
	}

	public void addEventsEntity(ChainedEventsEntity entity) {
      System.err.println("size1 = " + ltField.getEntities().size());
		ltField.addChainedEventEntity(entity);
      System.out.println("size2 = " + ltField.getEntities().size());
	}

	@Override
	public void mouseRightClicked(Point point) {
		// do not implement!!!
	}

	@Override
	public void mouseClickedAlt(Point point) {
		// do not implement 
	}

	@Override
	public void mouseDblLeftClicked(Point point, JPanel panel) {
		if (!isEntitySelected()) {
			ChainedEventsEntity entity =
				(ChainedEventsEntity) nmField.getSelectedEntity();
			entity.getGlossChainedEvent().setUpdatable(true);
		}
	}
	
	@Override
	public void mouseMoved(Point point, JPanel panel) {
	}

	// do nothing
	@Override
	public void mouseDblRightClicked(Point point, JPanel panel) {
	}

	@Override
	public void mouseDragged(Point point, JPanel panel) {
		// don't implement!!!
	}

	@Override
	public void delete(int eventAt) {
		EventsEntity entity = nmField.getEntityAt(eventAt);
		if (entity != null)
			nmField.deleteEntity(entity);
	}

	public void adjust(Event value, int eventAt) {
		Event event = nmField.getEventAt(eventAt);
		if (event != null) {
			event.getStartTimeInfo().setMovieTime(value.getStartTimeInfo().getMovieTime());
			event.getEndTimeInfo().setMovieTime(value.getEndTimeInfo().getMovieTime());
		}
	}
}
