package edu.bu.signstream.grepresentation.fields.presentation;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import edu.bu.signstream.common.util.vo.ss3.db.SS3Entity;

public class Utterance {	
	private String authorID = "";
	private String participantID = "";
	
	private ArrayList<FieldContent> fieldContents = new ArrayList<FieldContent>(); 
	
	public String getAuthorID() {
		return authorID;
	}

	public void setAuthorID(String authorID) {
		this.authorID = authorID;
	}

	public String getParticipantID() {
		return participantID;
	}

	public void setParticipantID(String participantID) {
		this.participantID = participantID;
	}

	public ArrayList<FieldContent> getFieldContents() {
		return fieldContents;
	}

	public void setFieldContents(ArrayList<FieldContent> fieldContents) {
		this.fieldContents = fieldContents;
	}
	
	public void addFieldContent(FieldContent content) {
		fieldContents.add(content);
	}
}

class FieldContent {
	private String fieldID = "";
	private Map<String, SS3Entity> entities = new HashMap<String, SS3Entity>();
	
	public String getFieldID() {
		return fieldID;
	}
	
	public void setFieldID(String fieldID) {
		this.fieldID = fieldID;
	}
	
	public Map<String, SS3Entity> getEntities() {
		return entities;
	}
	
	public void addEntity(String entityID, SS3Entity entity) {
		this.entities.put(entityID, entity);
	} 
	
	public SS3Entity getEntity(String entityID) {
		return entities.get(entityID);
	}
}
