package edu.bu.signstream.grepresentation.view.mediaControl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.grepresentation.fields.Event;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class GoFirstFrameEventListener extends BaseListener implements ActionListener {

	public GoFirstFrameEventListener(MediaToolBar bar) {
		super(bar);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		SignStreamSegmentPanel panel = getSignStreamSegmentPanel();
		Event event = bar.getSelectedEvent();
		if (panel != null && event != null) {
			if (panel.getUtteranceView() != null) {
				panel.getUtteranceView().setShowEndOnZoom(false);
			}
			int time = event.getStartTimeInfo().getMovieTime();
			movePanelToTime(panel, time, null);
		}
	}
}