package edu.bu.signstream.grepresentation.view.mediaControl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.grepresentation.fields.EventsEntity;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class GoLastFrameEntityListener extends BaseListener implements ActionListener {

	public GoLastFrameEntityListener(MediaToolBar bar) {
		super(bar);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		SignStreamSegmentPanel panel = getSignStreamSegmentPanel();
		EventsEntity entity = bar.getSelectedEventsEntity();
		if (panel != null && entity != null) {
			if (panel.getUtteranceView() != null) {
				panel.getUtteranceView().setShowEndOnZoom(true);
			}
			int time = entity.getEndTimeInfo().getMovieTime();
			movePanelToTime(panel, time, null);
		}
	}
}
