package edu.bu.signstream.ui.panels;

import javax.swing.*;
import java.awt.*;
import edu.bu.signstream.common.util.*;

public class GenaricOneTxtFldPanel extends JPanel {
	private JTextField fld = new JTextField(25);

	public GenaricOneTxtFldPanel(String label) { 
		initUI(label);
	}

	private void initUI(String label) {
		JLabel title = new JLabel(label);
		title.setFont(UserInterfaceUtil.getDialogTitleFont());
		title.setForeground(UserInterfaceUtil.getDialogTitleColor());

		GridBagLayout gbl = new GridBagLayout();
		GridBagConstraints gbc = new GridBagConstraints();

		setLayout(gbl);

		gbc.anchor = GridBagConstraints.NORTHWEST;
		gbc.gridwidth = GridBagConstraints.REMAINDER;
		add(title, gbc);

		gbc.anchor = GridBagConstraints.NORTH;
		gbc.fill = GridBagConstraints.HORIZONTAL;
		gbc.insets = new Insets(0, 0, 10, 0);
		add(new JSeparator(), gbc);

		gbc.anchor = GridBagConstraints.WEST;
		gbc.gridwidth = 1;
		gbc.insets = new Insets(0, 0, 0, 0);
		add(new JLabel("Label:"), gbc);

		add(Box.createHorizontalStrut(10));
		gbc.gridwidth = GridBagConstraints.REMAINDER;
		add(fld, gbc);
	}

	public String getLabel() {
		return fld.getText();
	}
   
   public void setLabel(String txt) {
      fld.setText(txt);
   }
}
