package edu.bu.signstream.ui.panels;

import java.awt.BorderLayout;
import java.awt.Container;
import java.io.File;

import javax.swing.JFrame;

import edu.bu.signstream.common.util.vo.ss3.media.SS3MediaFile;
import edu.bu.signstream.common.util.vo.ss3.media.SS3MediaLibrary;


public class MediaLibraryPanelTest extends JFrame {
   
   public MediaLibraryPanelTest() {
      
      SS3MediaLibrary library = new SS3MediaLibrary("test");
           
      File file = new File("mylog.txt");
      
      SS3MediaFile file1 = new SS3MediaFile();
      file1.setId("12345");
      file1.setFile(file);
      file1.setDescription("description 1");
      
      SS3MediaFile file2 = new SS3MediaFile();
      file2.setId("23456");
      file2.setFile(file);
      file2.setDescription("description 2");
      
      SS3MediaFile file3 = new SS3MediaFile();
      file3.setId("34567");
      file3.setFile(file);
      file3.setDescription("description 3");
      
      SS3MediaFile file4 = new SS3MediaFile();
      file4.setId("45678");
      file4.setFile(file);
      file4.setDescription("description 4");
      
      SS3MediaFile file5 = new SS3MediaFile();
      file5.setId("56789");
      file5.setFile(file);
      file5.setDescription("description 5");
      
      library.addMediaFile(file1);
      library.addMediaFile(file2);
      library.addMediaFile(file3);
      library.addMediaFile(file4);
      library.addMediaFile(file5);
   
      MediaLibraryPanel panel = new MediaLibraryPanel(library, this);   
      
      Container contentPane = getContentPane();
            contentPane.setLayout(new BorderLayout());
            contentPane.add(panel, BorderLayout.CENTER);
   }
   
   public static void main(String args[]) {
      MediaLibraryPanelTest t = new MediaLibraryPanelTest();
      
       t.setSize(700, 640);
       t.show();
       t.setLocationRelativeTo(null);
       t.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
       t.toFront();
       t.repaint();
    }
}
