package edu.bu.signstream.ui.panels.newDatabase;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.File;

import javax.swing.JButton;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import edu.bu.signstream.ui.ButtonPanel;

public class SaveCollectionAsPanel extends JPanel implements ActionListener {

	private JButton newFolderBtn = new JButton("New Folder");
	
	private JButton saveBtn = new JButton("SaveMAC");
	private JButton saveWBtn = new JButton("SaveW");
	
	private final int SAVE_MAC = 0;
	private final int SAVE_W = 1;
	
	public SaveCollectionAsPanel(JFrame frame) {
		
		initUI(frame);
	}
	
	JFrame frame = null;
	
	private void initUI(JFrame frame) {	
		this.frame = frame;
		
		saveBtn.addActionListener(this);

		ButtonPanel bPanel = new ButtonPanel();
		bPanel.add(saveBtn);

		setLayout(new BorderLayout());
		add(new JLabel("CENTER"), BorderLayout.CENTER);
		add(bPanel, BorderLayout.SOUTH);
	}
	
	@Override
	public void actionPerformed(ActionEvent ae) {
		
		JFileChooser fc = new JFileChooser();
		int returnVal = fc.showSaveDialog(this);
		if (returnVal == JFileChooser.APPROVE_OPTION) {
			File file = fc.getSelectedFile();
		}
		
	}
	
	public static void main(String[] args) {
		JFrame frame = new JFrame("FrameDemo");
		frame.addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});
		
		SaveCollectionAsPanel save = new SaveCollectionAsPanel(frame);

		Container cnt = frame.getContentPane();
		cnt.setLayout(new FlowLayout());

		cnt.add(save);
		
		frame.pack();
		frame.setVisible(true);
	}
}
