package edu.bu.signstream.ui.panels.search;

import java.util.ArrayList;

import edu.bu.signstream.common.util.vo.ss3.db.SS3Database;

public class SearchSavedState {
	
	SS3Database database;
	ArrayList<String> segmentsList;
	int visibleOnsetTime;
	int sliderPosition;
	double zoomerValue;
	int selectedSegmentTemplateIndex;
	String selectedUtteranceId;
	
	public SearchSavedState(SS3Database database, ArrayList<String> segmentsList, int visibleOnsetTime, int sliderPosition, double zoomerValue, int selectedSegmentTemplateIndex, String selectedUtteranceId) {
		this.database = database;
		this.segmentsList = segmentsList;
		this.visibleOnsetTime = visibleOnsetTime;
		this.sliderPosition = sliderPosition;
		this.zoomerValue = zoomerValue;
		this.selectedSegmentTemplateIndex = selectedSegmentTemplateIndex;
		this.selectedUtteranceId = selectedUtteranceId;
	}
	
	public SS3Database getDatabase() {
		return database;
	}
	
	public ArrayList<String> getSegmentsList() {
		return segmentsList;
	}
	
	public int getVisibleOnsetTime() {
		return visibleOnsetTime;
	}
	
	public int getSliderPosition() {
		return sliderPosition;
	}
	
	public double getZoomerValue() {
		return zoomerValue;
	}

	public String getSelectedUtteranceId() {
		return selectedUtteranceId;
	}
	
	public int getSelectedSegmentTemplateIndex() {
		return selectedSegmentTemplateIndex;
	}
}
