package edu.bu.signstream.ui.panels.signbank;

import java.awt.BorderLayout;
import java.awt.Container;

import javax.swing.JDialog;

import edu.bu.signstream.grepresentation.fields.glossField.dialog.associatedFields.AssociatedFieldsPanel;

public class SignBankDialog extends JDialog {

	private static final long serialVersionUID = 1L;
	
	private SignBankPanel signBankPanel = null;
	
	public SignBankDialog(AssociatedFieldsPanel assocFieldsPanel, String variantLabel) {
		super(assocFieldsPanel.getParentDialog(), true);
		setTitle("Sign Bank");
		
		signBankPanel = new SignBankPanel(assocFieldsPanel, variantLabel);

		setResizable(false);

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout());
		contentPane.add(signBankPanel, BorderLayout.CENTER);
		
		this.pack();
		
	}
	
	public SignBankPanel getSignBankPanel() {
		return signBankPanel;
	}
}
