package edu.bu.signstream.common.util.vo;

import java.util.ArrayList;

public class Participant {
	private String id;
	private boolean primary;
	private String name, label, age, gender, language, comments, parents;
	private ArrayList background = new ArrayList();

	public Participant() {
	}

	public Participant(
		String id,
		String name,
		String label,
		String age,
		String gender,
		String language,
		String comments,
		String parents,
		ArrayList background) {
		this.id = id;
		this.name = name;
		this.label = label;
		this.age = age;
		this.gender = gender;
		this.language = language;
		this.comments = comments;
		this.parents = parents;
		this.background = background;
	}

	public void setPrimary(boolean primary) {
		this.primary = primary;
	}

	public boolean isPrimary() {
		return primary;
	}

	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("Participant:");
		sb.append("\n id = ");
		sb.append(id);
		sb.append("\n name = ");
		sb.append(name);
		sb.append("\n label = ");
		sb.append(label);
		sb.append("\n gender = ");
		sb.append(gender);
		sb.append("\n language = ");
		sb.append(language);
		sb.append("\n age = ");
		sb.append(age);
		sb.append("\n background = ");
		/*	
			Iterator it = background.iterator();
			while(it.hasNext()) {
		      sb.append(it.hasNext());
			}
		*/
		/*	
			sb.append("\n comments = ");
			sb.append(comments); 
			sb.append("\n parents = ");
			sb.append(parents);
		*/
		return sb.toString();
	}

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public void setParents(String parents) {
		this.parents = parents;
	}

	public String getParents() {
		return parents;
	}

	public ArrayList getBackground() {
		return background;
	}

	public void setBackground(ArrayList background) {
		this.background = background;
	}

	public String getAge() {
		return age;
	}

	public void setAge(String age) {
		this.age = age;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public int getParticipantId() {
		return Integer.parseInt(id);
	}

	public void setParticipantId(int id) {
		this.id = ""+id;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
