package edu.bu.signstream.common.util.vo.ss3.codingScheme.handShapes;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;

public class CSHandShapeTemplates {

   private HashMap templates = new HashMap();
   
   private String selectedTemplateId = null;
   
   public void addHandShapeTemplate(CSHandShapeTemplate template) {
      templates.put(template.getId(), template);
      
      if(selectedTemplateId == null) 
         selectedTemplateId = template.getId();       
   }
   
   public CSHandShapeTemplate getSelectedHandShapeTemplate() {
      return getHandShapeTemplate(selectedTemplateId);
   }

   public ArrayList getTemplatesAsList() {
      ArrayList list = new ArrayList();
      
      Set set = templates.keySet();
      Iterator it = set.iterator();
      while(it.hasNext()) {
         Object key = it.next();
         list.add(templates.get(key));
      }
      
      return list;
   }
   
   public HashMap getTemplates() {
      return templates;
   }
   
   public CSHandShapeTemplate getHandShapeTemplate(String id) {
      return (CSHandShapeTemplate)templates.get(id);
   }
}
