package edu.bu.signstream.grepresentation.fields.glossField;

import java.awt.Dimension;
import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JTextField;
import javax.swing.KeyStroke;

import edu.bu.signstream.grepresentation.fields.nonManualField.NewChainedEvent;
import edu.bu.signstream.grepresentation.view.SegmentGraphicRepresentation;
import edu.bu.signstream.grepresentation.view.SegmentTemplate;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class NewGlossChainedEvent extends NewChainedEvent {

   private JTextField tf = new JTextField();

   public NewGlossChainedEvent(
      final int X1,
      final SignStreamSegmentPanel segmentPanel,
      final GlossField field) {
      super(X1, segmentPanel);

      int w = 300;

      tf.setSize(w, 18);
      tf.setPreferredSize(new Dimension(w, 18));
      tf.setMinimumSize(new Dimension(w, 18));

      // do not remove - java error!!!
      tf.setText(" ... ");
      tf.setText(" ");
      
      SegmentTemplate template = segmentPanel.getUtteranceView().getSegmentTemplate(field.getSegmentID());
      SegmentGraphicRepresentation rep = template.getBottomView().getSegmentGraphicRep();
      rep.passivateMouseListener();

      Action addGlossEvent = new AbstractAction() {
         @Override
		public void actionPerformed(ActionEvent e) {
            EnteredText enteredText =
               field.getGlossChainedEventsEntityCollection().getEnteredText();
            if (enteredText != null) {
               //enteredText.addString(tf.getText(), X1);
            } else {
//               enteredText =
//                  new EnteredText(tf.getText(), X1, segmentPanel, field);
//               field.getChainedEventsEntityCollection().setEnteredTextObject(
//                  enteredText);
            }           
            /*
                        GlossChainedEvent textValue = new GlossChainedEvent(segmentPanel);
                        textValue.setStartTimeCoordinate(X1);
                        textValue.setEndTimeCoordinate(X1 + 33);
                        textValue.setText(tf.getText());
                        ChainedEventsCollection collection = new ChainedEventsCollection();
                        collection.setTextValueEvent(textValue);
            
                        ChainedEventsEntity entity =
                           new ChainedEventsEntity(
                              collection,
                              field.getFieldID(),
                              segmentPanel);
                              
                        field.addChainedEventEntity(entity);      
            */
            field.setNewGlossChainedEvent(null);
            //SegmentGraphicRepresentation rep =
            //   segmentPanel.getView().getSegmentView2().getSegmentGraphicRep();          
            SegmentTemplate template = segmentPanel.getUtteranceView().getSegmentTemplate(field.getSegmentID());
            SegmentGraphicRepresentation rep = template.getBottomView().getSegmentGraphicRep();
            rep.activateMouseListener();
            segmentPanel.repaint();
         }
      };

      tf.getInputMap().put(
         KeyStroke.getKeyStroke("pressed ENTER"),
         "addGlossEvent");
      tf.getActionMap().put("addGlossEvent", addGlossEvent);
   }

   public JTextField getTextField() {
      return tf;
   }
}
