package edu.bu.signstream.grepresentation.fields.nonManualField.mouseDelegateListeners;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;
import edu.bu.signstream.grepresentation.fields.glossField.GlossFieldWrapper;
import edu.bu.signstream.grepresentation.fields.glossField.dialog.associatedFields.MorphologicalPhonologicalInfoDialog;
import edu.bu.signstream.grepresentation.view.GlossNRelatedView;

public class DefineAssociatedFieldsActionListener implements ActionListener {

	   private GlossFieldWrapper wrapper = null;
	   private GlossNRelatedView view = null;
		
	   public DefineAssociatedFieldsActionListener(GlossFieldWrapper wrapper, GlossNRelatedView view) {
           MorphologicalPhonologicalInfoDialog dialog = SS3Singleton.getNonManuelFieldDialogs().getMorphologicalPhonologicalInfoDialog();

          if(dialog == null) {
              dialog = new MorphologicalPhonologicalInfoDialog(wrapper, view);
	          dialog.setResizable(false);
              SS3Singleton.getNonManuelFieldDialogs().setMorphologicalPhonologicalInfoDialog(dialog);
          } else {
              dialog.update(wrapper, view);
          }

	      this.wrapper = wrapper;
	      this.view = view;
	   }
	   
	   public void setUpdatedValues(GlossFieldWrapper wrapper, GlossNRelatedView view) {
		   this.wrapper = wrapper;
		   this.view = view;
	   }

	   public void actionPerformed(ActionEvent e) {
           MorphologicalPhonologicalInfoDialog dialog = SS3Singleton.getNonManuelFieldDialogs().getMorphologicalPhonologicalInfoDialog();
		   dialog.update(wrapper, view);
	       dialog.setVisible(true);
	       dialog.setLocationRelativeTo(null);
	       dialog.setLocation(15, 15);
	   }
}
