package edu.bu.signstream.grepresentation.fields.rightLeftField;

import java.util.*;
import edu.bu.signstream.grepresentation.fields.handShapeField.*;
import edu.bu.signstream.grepresentation.fields.locationField.*;
import edu.bu.signstream.grepresentation.fields.movementField.*;
import edu.bu.signstream.grepresentation.fields.orientationField.*;

public class RLDependentFields {
	private HandShapeFieldWrapper hsh = null;
   
   private LocationFieldWrapper lf = null;
   private MovementFieldWrapper mf = null;
   private OrientationFieldWrapper of = null;
   
	private HSHDependentFields hshDep = new HSHDependentFields();

	
	public ArrayList getDependentFields() {
		ArrayList list = new ArrayList();
		
		if (hsh != null)
			list.add(hsh);
		
		ArrayList depList = hshDep.getDependentFields();
		list.addAll(depList);	
		return list;
	}

	public HSHDependentFields getHSHDependentFields() {
		return hshDep;
	}

	public void setHSHDependentFields(HSHDependentFields fields) {
		hshDep = fields;
	}

	public HandShapeFieldWrapper getHandShapeWrapper() {
		return hsh;
	}

	public void setHandShapeWrapper(HandShapeFieldWrapper wrapper) {
		hsh = wrapper;
	}

	public LocationFieldWrapper getLocationWrapper() {
		return lf;
	}

	public MovementFieldWrapper getMovementWrapper() {
		return mf;
	}

	public OrientationFieldWrapper getOrientationWrapper() {
		return of;
	}

	public void setLocationWrapper(LocationFieldWrapper wrapper) {
		this.lf = wrapper;
	}

	public void setMovementWrapper(MovementFieldWrapper wrapper) {
		this.mf = wrapper;
	}

	public void setOrientationWrapper(OrientationFieldWrapper wrapper) {
		this.of = wrapper;
	}
}
