package edu.bu.signstream.ui.panels;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Dimension;

import javax.swing.JDialog;

import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;
import edu.bu.signstream.grepresentation.view.UtteranceView;

public class SegmentSelectionDialog extends JDialog {

	private static final long serialVersionUID = 1L;
	
	private SegmentSelectionPanel segmentSelectionPanel = null;
	
	public SegmentSelectionDialog(UtteranceView utteranceView) {
		super(SS3Singleton.getSignStreamApplication());
		
		segmentSelectionPanel = new SegmentSelectionPanel(this, utteranceView);
//		setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);
		setPreferredSize(new Dimension(230, 260));	
		setResizable(false);

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout(50, 50));
		contentPane.add(segmentSelectionPanel, BorderLayout.CENTER);
		this.pack();	
	}
	
	public SegmentSelectionPanel getSegmentSelectionPanel() {
		return segmentSelectionPanel;
	}

}
