package edu.bu.signstream.ui.video.controlPanelIcons;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Graphics2D;

public class GoTwoFramesForward extends VideoControlPanelIcon {

	public GoTwoFramesForward(boolean enabled, int width, int height) {
		super(enabled, width, height);
	}

	@Override
	public void paintIcon(Component c, Graphics g, int x, int y) {
		Graphics2D g2 = (Graphics2D) g;

		g2.setBackground(getBackground());
		g2.setColor(getBackground());

		g2.fillRect(0, 0, this.getIconWidth(), this.getIconHeight());

		g2.setPaint(getGradientPaint());

		g2.drawLine(1, 4, 8, 11);
		g2.drawLine(0, 4, 7, 11);
		g2.drawLine(1, 18, 8, 11);
		
		g2.drawLine(5, 4, 12, 11);
		g2.drawLine(4, 4, 11, 11);
		g2.drawLine(5, 18, 12, 11);
	}
}
